summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2015-11-06 13:34:59 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2015-11-06 13:36:04 +0100
commit9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40 (patch)
tree849d246201369fb330bd4db141c9ce2e64b89f9a /dev-java/netbeans-javacard
parentMerge remote-tracking branch 'remotes/lilrc/bug-557160' (diff)
downloadgentoo-9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40.tar.gz
gentoo-9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40.tar.bz2
gentoo-9f679d3bd664f8ed292fc9e66eb3c4e0cc5acc40.zip
netbeans: release 8.1
Diffstat (limited to 'dev-java/netbeans-javacard')
-rw-r--r--dev-java/netbeans-javacard/Manifest2
-rw-r--r--dev-java/netbeans-javacard/netbeans-javacard-8.1.ebuild134
2 files changed, 136 insertions, 0 deletions
diff --git a/dev-java/netbeans-javacard/Manifest b/dev-java/netbeans-javacard/Manifest
index de6ecb2e79f..9990bc716c9 100644
--- a/dev-java/netbeans-javacard/Manifest
+++ b/dev-java/netbeans-javacard/Manifest
@@ -3,3 +3,5 @@ DIST 6243337E93F5841D4FFB404011AA076BFEB1590A-javacard_ri.zip 7788619 SHA256 86c
DIST 9C1A8BC9D3270D184F1D1BCC5F60AA81D46E1ADF-apduio.jar 125083 SHA256 d2379466134f239b9dd723f021976e3d2ade9624296d3d4a6d3241beeecfc6ba SHA512 52601718cefae5570412b801999b5d6799ff6425d6a090323c6dac80248598b21f8ecf09c31e6a7f73f6ca7de9e99bdd3e79f539d96c5e1192fd2958766d212c WHIRLPOOL 448f084f425ec8f11922731fc76dc2a16cac8acc21aeb07244722d6f1b7bf7272b875f2b31d396c9f216a23f048698c03258219a7ce097576225f7d05f7bec14
DIST netbeans-8.0.2-201411181905-src.zip 196585461 SHA256 581f80d3c2e8d87a0f007dd3f358ce0534a0bb2e4b3312cd6c8c7263713bc530 SHA512 9533de5b3c45e4a5b025213dd5602344e16d024e0cdb013f207ac3c7a9d8e63da19279f97910ad136777d75780c620224953f2974070d5c9833d1d6ef3fd427c WHIRLPOOL 2e45e83309743df167ddd1d58068848166d01ef6d9eec99ddf72b9ba7664cb182a04d6420ab03a9270842b3cd9a16a161c1eebb66953ef09158d8d521fb96516
DIST netbeans-8.0.2-build.xml.patch.bz2 2678 SHA256 cf120f7fd8b4ad40e9abdcb09e7763fd93b4acef04ff0365e18f178706ea83bb SHA512 b61adf29bcb139207241c68513724f352420078583ca5e6d7856a4dd335ad36b7d05311eb6e14ff1c568aaf090de4ca083c32f6db1dec0b6f50d66a388bbedf7 WHIRLPOOL fb4d63329aa450a1b387fa45b59fa3c18d1a1ca8ecf9443111a3056d409a6d928d15dae275e9c564558f4b2abd54cc0f8db2df653ac432d9f58f8ef4dd747dff
+DIST netbeans-8.1-201510222201-src.zip 208692973 SHA256 e8dd9b73304bc7e546150629f7555624b405e8a7af2cd5d616e7a91a0655f463 SHA512 c3ed9e8c9444b1685e3ed7e1a2525d8be43953994aebed962d39f8eae35b6ab0dcab0093b7eeb287e3c74e0620ceded1956ef93205837bb7749db49f53c1c285 WHIRLPOOL 7ff7c3441dbc8f1ebd6f5441c8371ef0ef392f45eef65e06efec3201f417e228fb32879df83ec23ae61898840eadcde43caa66d54182bf3aae2f44c683916268
+DIST netbeans-8.1-build.xml.patch.bz2 2671 SHA256 b5384db6533d41c7d3fdaffd3cd296d156ac99f0a026e3d74c4ac5b5d388a70f SHA512 1dd5dcf02fd81691b0f9c531470379138484dcbc271f65ba53a3844a1e697719e47cb98c90f92f92c5980a577d27370efc800297525f62da7211393ea0a18915 WHIRLPOOL c77621b5f4eea9e688d9714be9268d05f7c1e792d9d46d3a082418d8c1cb52c35f76d59f0befddc73f30a0e0e12c0af25b4b31c1cb69b68dd90e48638d7da509
diff --git a/dev-java/netbeans-javacard/netbeans-javacard-8.1.ebuild b/dev-java/netbeans-javacard/netbeans-javacard-8.1.ebuild
new file mode 100644
index 00000000000..ff85213b050
--- /dev/null
+++ b/dev-java/netbeans-javacard/netbeans-javacard-8.1.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="Netbeans JavaCard Cluster"
+HOMEPAGE="http://netbeans.org/projects/javacard"
+SLOT="8.1"
+SOURCE_URL="http://download.netbeans.org/netbeans/8.1/final/zip/netbeans-8.1-201510222201-src.zip"
+SRC_URI="${SOURCE_URL}
+ http://dev.gentoo.org/~fordfrog/distfiles/netbeans-8.1-build.xml.patch.bz2
+ http://hg.netbeans.org/binaries/33DCFAE258453BDD3D8A042F6ECF80656A82B8DD-anttasks.jar
+ http://hg.netbeans.org/binaries/9C1A8BC9D3270D184F1D1BCC5F60AA81D46E1ADF-apduio.jar
+ http://hg.netbeans.org/binaries/6243337E93F5841D4FFB404011AA076BFEB1590A-javacard_ri.zip"
+LICENSE="|| ( CDDL GPL-2-with-linking-exception )"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+S="${WORKDIR}"
+
+CDEPEND="~dev-java/netbeans-extide-${PV}
+ ~dev-java/netbeans-ide-${PV}
+ ~dev-java/netbeans-java-${PV}
+ ~dev-java/netbeans-platform-${PV}"
+DEPEND=">=virtual/jdk-1.7
+ app-arch/unzip
+ ${CDEPEND}
+ dev-java/javahelp:0"
+RDEPEND=">=virtual/jdk-1.7
+ ${CDEPEND}
+ dev-java/ant-contrib:0
+ dev-java/asm:3
+ dev-java/bcel:0
+ dev-java/commons-cli:1
+ dev-java/commons-codec:0
+ dev-java/commons-httpclient:3
+ dev-java/commons-logging:0"
+
+INSTALL_DIR="/usr/share/${PN}-${SLOT}"
+
+EANT_BUILD_XML="nbbuild/build.xml"
+EANT_BUILD_TARGET="rebuild-cluster"
+EANT_EXTRA_ARGS="-Drebuild.cluster.name=nb.cluster.javacard -Dext.binaries.downloaded=true -Dpermit.jdk8.builds=true"
+EANT_FILTER_COMPILER="ecj-3.3 ecj-3.4 ecj-3.5 ecj-3.6 ecj-3.7"
+JAVA_PKG_BSFIX="off"
+
+src_unpack() {
+ unpack $(basename ${SOURCE_URL})
+
+ einfo "Deleting bundled jars..."
+ find -name "*.jar" -type f -delete
+
+ unpack netbeans-8.1-build.xml.patch.bz2
+
+ pushd "${S}" >/dev/null || die
+ ln -s "${DISTDIR}"/33DCFAE258453BDD3D8A042F6ECF80656A82B8DD-anttasks.jar javacard.ri.platform/external/anttasks.jar || die
+ ln -s "${DISTDIR}"/9C1A8BC9D3270D184F1D1BCC5F60AA81D46E1ADF-apduio.jar javacard.apdu.io/external/apduio.jar || die
+ ln -s "${DISTDIR}"/6243337E93F5841D4FFB404011AA076BFEB1590A-javacard_ri.zip javacard.ri.bundle/external/javacard_ri.zip || die
+ popd >/dev/null || die
+}
+
+src_prepare() {
+ einfo "Deleting bundled class files..."
+ find -name "*.class" -type f | xargs rm -vf
+
+ epatch netbeans-8.1-build.xml.patch
+
+ # Support for custom patches
+ if [ -n "${NETBEANS9999_PATCHES_DIR}" -a -d "${NETBEANS9999_PATCHES_DIR}" ] ; then
+ local files=`find "${NETBEANS9999_PATCHES_DIR}" -type f`
+
+ if [ -n "${files}" ] ; then
+ einfo "Applying custom patches:"
+
+ for file in ${files} ; do
+ epatch "${file}"
+ done
+ fi
+ fi
+
+ einfo "Symlinking external libraries..."
+ java-pkg_jar-from --build-only --into javahelp/external javahelp jhall.jar jhall-2.0_05.jar
+
+ einfo "Linking in other clusters..."
+ mkdir "${S}"/nbbuild/netbeans || die
+ pushd "${S}"/nbbuild/netbeans >/dev/null || die
+
+ ln -s /usr/share/netbeans-extide-${SLOT} extide || die
+ cat /usr/share/netbeans-extide-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.extide.built
+
+ ln -s /usr/share/netbeans-ide-${SLOT} ide || die
+ cat /usr/share/netbeans-ide-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.ide.built
+
+ ln -s /usr/share/netbeans-java-${SLOT} java || die
+ cat /usr/share/netbeans-java-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.java.built
+
+ ln -s /usr/share/netbeans-platform-${SLOT} platform || die
+ cat /usr/share/netbeans-platform-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.platform.built
+
+ popd >/dev/null || die
+
+ java-pkg-2_src_prepare
+}
+
+src_install() {
+ pushd nbbuild/netbeans/javacard >/dev/null || die
+
+ insinto ${INSTALL_DIR}
+
+ grep -E "/javacard$" ../moduleCluster.properties > "${D}"/${INSTALL_DIR}/moduleCluster.properties || die
+
+ doins -r *
+ rm -fr "${D}"/${INSTALL_DIR}/bin || die
+
+ popd >/dev/null || die
+
+ local instdir=${INSTALL_DIR}/JCDK3.0.2_ConnectedEdition/lib
+ pushd "${D}"/${instdir} >/dev/null || die
+ rm ant-contrib-1.0b3.jar && dosym /usr/share/ant-contrib/lib/ant-contrib.jar ${instdir}/ant-contrib-1.0b3.jar || die
+ rm asm-all-3.1.jar && dosym /usr/share/asm-3/lib/asm.jar ${instdir}/asm-all-3.1.jar || die
+ rm bcel-5.2.jar && dosym /usr/share/bcel/lib/bcel.jar ${instdir}/bcel-5.2.jar || die
+ rm commons-cli-1.0.jar && dosym /usr/share/commons-cli-1/lib/commons-cli.jar ${instdir}/commons-cli-1.0.jar || die
+ rm commons-codec-1.3.jar && dosym /usr/share/commons-codec/lib/commons-codec.jar ${instdir}/commons-codec-1.3.jar || die
+ rm commons-httpclient-3.0.jar && dosym /usr/share/commons-httpclient-3/lib/commons-httpclient.jar ${instdir}/commons-httpclient-3.0.jar || die
+ rm commons-logging-1.1.jar && dosym /usr/share/commons-logging/lib/commons-logging.jar ${instdir}/commons-logging-1.1.jar || die
+ popd >/dev/null || die
+
+ dosym ${INSTALL_DIR} /usr/share/netbeans-nb-${SLOT}/javacard
+}